> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goenhance.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GPT Image 2 API

> **Pricing (tokens/image, USD at $0.02/token)** — aligned to OpenAI gpt-image-2 cost (official x1.3):

| quality | 1k | 2k | 4k |
|---|---|---|---|
| low | 0.39 ($0.008) | 0.78 ($0.016) | 1.17 ($0.023) |
| medium | 3.45 ($0.069) | 6.9 ($0.138) | 10.35 ($0.207) |
| high | 13.72 ($0.274) | 27.44 ($0.549) | 41.16 ($0.823) |

Returns an `img_uuid`; poll GET /api/v1/jobs/detail (or use `custom_callback_url`) to get the generated image.



## OpenAPI

````yaml POST /api/v1/gpt-image-2
openapi: 3.1.0
info:
  title: GoEnhance API
  description: ''
  version: 1.0.0
servers:
  - url: https://api.goenhance.ai
security:
  - bearerAuth: []
tags:
  - name: Basic
  - name: Video2Video
paths:
  /api/v1/gpt-image-2:
    post:
      tags:
        - ImageAPI
      summary: GPT Image 2
      description: >-
        **Pricing (tokens/image, USD at $0.02/token)** — aligned to OpenAI
        gpt-image-2 cost (official x1.3):


        | quality | 1k | 2k | 4k |

        |---|---|---|---|

        | low | 0.39 ($0.008) | 0.78 ($0.016) | 1.17 ($0.023) |

        | medium | 3.45 ($0.069) | 6.9 ($0.138) | 10.35 ($0.207) |

        | high | 13.72 ($0.274) | 27.44 ($0.549) | 41.16 ($0.823) |


        Returns an `img_uuid`; poll GET /api/v1/jobs/detail (or use
        `custom_callback_url`) to get the generated image.
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: false
          example: '{{Authorization}}'
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                args:
                  type: object
                  properties:
                    prompt:
                      type: string
                      minLength: 1
                      maxLength: 5000
                      description: Text prompt describing the image.
                    ratio:
                      type: string
                      enum:
                        - auto
                        - '1:1'
                        - '16:9'
                        - '9:16'
                        - '4:3'
                        - '3:4'
                        - '2:3'
                        - '3:2'
                        - '4:5'
                        - '5:4'
                        - '21:9'
                      description: Aspect ratio.
                    image_size:
                      type: string
                      enum:
                        - 1k
                        - 2k
                        - 4k
                      default: 1k
                      description: Output resolution. See pricing table above.
                    quality:
                      type: string
                      enum:
                        - low
                        - medium
                        - high
                      default: low
                      description: >-
                        Image quality: low / medium / high. See pricing table
                        above.
                    image_list:
                      type: array
                      items:
                        type: object
                        properties:
                          url:
                            type: string
                            format: uri
                      minItems: 0
                      maxItems: 4
                      description: >-
                        Optional reference images, [{"url": "https://..."}], max
                        4.
                    custom_callback_url:
                      type: string
                      format: uri
                      description: >-
                        Optional. A publicly accessible HTTPS URL. When the task
                        status changes (processing / success / failed),
                        GoEnhance sends a POST request to this URL. The request
                        body is identical to the response of GET
                        /api/v1/jobs/detail. If your server does not respond
                        with HTTP 200, the notification is retried up to 3
                        times, with a 3-second timeout per attempt.
                      example: https://your-server.com/goenhance/callback
                  required:
                    - prompt
              required:
                - args
            example:
              args:
                prompt: a beautiful girl
                image_size: 1k
                quality: low
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      img_uuid:
                        type: string
                    required:
                      - img_uuid
                required:
                  - code
                  - msg
                  - data
              examples:
                '1':
                  summary: Success
                  value:
                    code: 0
                    msg: Success
                    data:
                      img_uuid: c12b656c-747a-44fd-9c80-add79b0c52d5
                '2':
                  summary: Insufficient tokens
                  value:
                    code: 100
                    msg: tokens is not enough
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                required:
                  - code
                  - msg
          headers: {}
      deprecated: false
      security: []
components: {}

````